package com.ym.mec.biz.dal.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

import com.ym.mec.auth.api.entity.SysUser;

import java.util.Date;

/**
 * 对应数据库表(extracurricular_exercises_reply):
 */
public class ExtracurricularExercisesReply {

	/**  */
	private Long id;
	
	/**  */
	private Long extracurricularExercisesId;
	
	private ExtracurricularExercises extracurricularExercises = new ExtracurricularExercises();
	
	/**  */
	private Integer userId;
	
	private SysUser user = new SysUser();
	
	/** 作品附件 */
	private String attachments;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;
	
	/** 备注 */
	private String remark;
	
	/** 提交状态 */
	private Integer status;
	
	/** 是否回复 */
	private Integer isReplied;

	private Integer isRepliedTimely;
	
	/** 是否已查看 */
	private Integer isView;
	
	private String organName;

	private Date submitTime;

	public Integer getIsRepliedTimely() {
		return isRepliedTimely;
	}

	public void setIsRepliedTimely(Integer isRepliedTimely) {
		this.isRepliedTimely = isRepliedTimely;
	}

	public Date getSubmitTime() {
		return submitTime;
	}

	public void setSubmitTime(Date submitTime) {
		this.submitTime = submitTime;
	}

	public ExtracurricularExercises getExtracurricularExercises() {
		return extracurricularExercises;
	}

	public void setExtracurricularExercises(ExtracurricularExercises extracurricularExercises) {
		this.extracurricularExercises = extracurricularExercises;
	}

	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setExtracurricularExercisesId(Long extracurricularExercisesId){
		this.extracurricularExercisesId = extracurricularExercisesId;
	}
	
	public Long getExtracurricularExercisesId(){
		return this.extracurricularExercisesId;
	}
			
	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}
			
	public void setAttachments(String attachments){
		this.attachments = attachments;
	}
	
	public String getAttachments(){
		return this.attachments;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	public void setRemark(String remark){
		this.remark = remark;
	}
	
	public String getRemark(){
		return this.remark;
	}
			
	public void setStatus(Integer status){
		this.status = status;
	}
	
	public Integer getStatus(){
		return this.status;
	}
			
	public void setIsReplied(Integer isReplied){
		this.isReplied = isReplied;
	}
	
	public Integer getIsReplied(){
		return this.isReplied;
	}
			
	public void setIsView(Integer isView){
		this.isView = isView;
	}
	
	public Integer getIsView(){
		return this.isView;
	}
			
	public SysUser getUser() {
		return user;
	}

	public void setUser(SysUser user) {
		this.user = user;
	}

	public String getOrganName() {
		return organName;
	}

	public void setOrganName(String organName) {
		this.organName = organName;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
